Bug 566281 - Review Request: roboptim-trajectory - Trajectory optimization for robotics
Summary: Review Request: roboptim-trajectory - Trajectory optimization for robotics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-17 19:08 UTC by Thomas Moulard
Modified: 2010-02-27 03:47 UTC (History)
3 users (show)

Fixed In Version: roboptim-trajectory-0.5-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-27 03:43:34 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Moulard 2010-02-17 19:08:33 UTC
Spec URL: http://homepages.laas.fr/~tmoulard/fedora/roboptim-trajectory.spec
SRPM URL: http://homepages.laas.fr/~tmoulard/fedora/roboptim-trajectory-0.5-1.fc11.src.rpm
Description: The RobOptim trajectory C++ library

Hi! Here is a robotics package I have developed and packaged.

Structure is similar to roboptim-core (review here https://bugzilla.redhat.com/show_bug.cgi?id=538820).

This package depends on roboptim-core and extends it to provide features dealing with trajectory optimization for robotics.


Koji successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1994806

$ rpmlint ~/rpmbuild/RPMS/i586/roboptim-trajectory-*.rpm                               
roboptim-trajectory-devel.i586: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Mamoru TASAKA 2010-02-21 18:22:03 UTC
Some notes:

* Requires
  - Would you explain why -doc subpackage has
    "Requires: roboptim-core-doc" ?

* Directory owership issue
  - %{_includedir}/roboptim is already owned by roboptim-core-devel
    and -trajectory-devel requires -core-devel, so -trajectory-devel
    should not own this directory.


! By the way for F-12/11 roboptim-core is still in -testing and
  currently this package cannot be rebuild on F-12/11.
  Would you request to move -core to stable repository?

Comment 2 Thomas Moulard 2010-02-21 18:48:02 UTC
* Requires
  - Would you explain why -doc subpackage has
    "Requires: roboptim-core-doc" ?

It is due to the Doxygen dependency system (two documentations are linked together so even outside classes documentation can be accessed easily).

* Directory owership issue
  - %{_includedir}/roboptim is already owned by roboptim-core-devel
    and -trajectory-devel requires -core-devel, so -trajectory-devel
    should not own this directory.

I will fix that tomorrow.


! By the way for F-12/11 roboptim-core is still in -testing and
  currently this package cannot be rebuild on F-12/11.
  Would you request to move -core to stable repository?

roboptim-core-0.5-2.fc11 and roboptim-core-0.5-2.fc12 have been submitted today.

BTW, when I click on roboptim-core.0.5.2.fc11 (such as here https://admin.fedoraproject.org/updates/user/thomasmoulard), I get the wrong package (rubygem-RedCloth).

Comment 3 Thomas Moulard 2010-02-22 09:56:00 UTC
Spec URL: http://homepages.laas.fr/~tmoulard/fedora/roboptim-trajectory.spec
SRPM URL:
http://homepages.laas.fr/~tmoulard/fedora/roboptim-trajectory-0.5-2.fc11.src.rpm

New version fixes directory ownership.

Thanks for reporting my problem.

Comment 4 Mamoru TASAKA 2010-02-22 15:58:03 UTC
Okay.

---------------------------------------------------------------
  This package (roboptim-trajectory) is APPROVED by mtasaka
---------------------------------------------------------------

Comment 5 Thomas Moulard 2010-02-22 16:20:58 UTC
New Package CVS Request
=======================
Package Name: roboptim-trajectory
Short Description: The RobOptim trajectory C++ library
Owners: thomasmoulard
Branches: F-11 F-12
InitialCC: roboptim-commit@lists.sourceforge.net

Comment 6 Jason Tibbitts 2010-02-22 21:30:30 UTC
The requested package name "roboptim-trajectory" doesn't match what's in the
bug summary, "RobOptim trajectory".  Please verify that "robotrim-trajectory"
is indeed the proper package name and fix the bug summary if so.

Comment 7 Thomas Moulard 2010-02-22 22:52:37 UTC
My bad, fixed right now.

Comment 8 Jason Tibbitts 2010-02-22 23:38:58 UTC
CVS done (by process-cvs-requests.py).

Note that InitialCC cannot be an email address, so I have removed it.

Comment 9 Fedora Update System 2010-02-23 07:41:08 UTC
roboptim-trajectory-0.5-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/roboptim-trajectory-0.5-2.fc12

Comment 10 Fedora Update System 2010-02-23 07:42:11 UTC
roboptim-trajectory-0.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/roboptim-trajectory-0.5-2.fc11

Comment 11 Fedora Update System 2010-02-24 06:15:06 UTC
roboptim-trajectory-0.5-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update roboptim-trajectory'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2775

Comment 12 Fedora Update System 2010-02-24 06:15:24 UTC
roboptim-trajectory-0.5-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update roboptim-trajectory'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2781

Comment 13 Fedora Update System 2010-02-27 03:43:27 UTC
roboptim-trajectory-0.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-02-27 03:47:33 UTC
roboptim-trajectory-0.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.